package com.zyzf.coffeepreorder.ui.login

import androidx.lifecycle.ViewModel
import com.zyzf.coffeepreorder.api.user.RestUserRepository
import com.zyzf.coffeepreorder.database.model.User
import com.zyzf.coffeepreorder.database.repository.UserRepository

class LoginViewModel(
    private val userRepository: UserRepository
) : ViewModel() {
    suspend fun tryLogin(login: String, password: String): User? {
        return userRepository.tryLogin(login, password)
    }
}
